Subject: Re: [Ieprep] problem context

From: [email-masked]
Date: Mon, 2 Dec 2002 10:28:20 EST

In a message dated 11/29/2002 6:27:53 PM Eastern Standard Time, 
[email-masked] writes:

> On Friday, Nov 29, 2002, at 13:09 America/Montreal, [email-masked] 
> wrote:
> > [MAP] Yes, we're aware that the Internet is unaware of voice calls. 
> > That is why we have proposed that some form of "packet marking" will 
> > be needed to achieve the preferential treament goals. Isn't that 
> > exactly what AF and EF did?
> 
>     [RJA] Neither AF nor EF is widely deployed.  

[MAP] Whether or not something is currently widely deployed is not the issue. 
We're talking about whether or not the necessary mechanisms are 
"standardized". Our goal, as Don explained, is to get commercial standards 
(IETF or others) which DoD (and others) can then reference to ask for (pay 
for) things to be deployed.

------------------------------------------------------------------------------

----------
> 
>   [RJA]  So if DoD wants to use DiffServ *inside* DoD, I think that is 
> practical (and
> think I've said so in the past).  It is the deployment of inter-domain QoS
> (of any sort, including DiffServ) that seems intractible right now.  One of
> 

[MAP] Then please let on get on with the "standardization" work so that what 
we need can be defined.

------------------------------------------------------------------------------

--------
> >
> > [MAP] As I believe we have made clear, overprovisioning is not an 
> > acceptable solution for the emergency/disaster situations that we are 
> > addressing. Could we eliminate that from any further discussion?
> 
>   [RJA]  We can't eliminate that until the folks who want to eliminate that 
> can
> deliver a persuasive argument that it can't work (and explaining why
> the past scenarios where it DID work aren't applicable is probably
> a part of that).
> 
>     So far, I keep hearing NCS/DISA-funded folks say that "overprovisioning 
> is not
> acceptable" but I haven't heard any technical reasons why that is the case.
> 

[MAP] You misinterpreted what I (and probably others) have said. I did not 
say that "overprovisioning is not acceptable" (your quote) or that we need to 
eliminate overprovisioning. Any carrier or network operator can overprovision 
if they want. I said that "overprovisioning is not an acceptable solution" to 
the problem that the IEPREP WG was formed to solve.

------------------------------------------------------------------------------

------------
> >
> > [MAP] But the bottom line, after all the existing solutions are laid on 
> the 
> > table, is that none have been able to explain how priority calls get 
> > the required treatment over regular calls on IP-based networks in a 
> > situation of congestion using existing standards.
> 
> [RJA]    And I thought that was NOT Don's stated objective.  His objective 
> was that the
> preferred calls were able to get through, which is one that the operators 
> here seem
> to think can be achieved (through some combination of over-provisioning and 
> these other
> mechanisms I discussed earlier).  Maybe I mis-read his objective ?
> 

[MAP] I believe it is exactly the objective, stated in slightly different 
words.

------------------------------------------------------------------------------

------------

[RJA]
>     The DoD tactical nets are a huge pain, due to lack of bandwidth/capacity,
> but DoD operates all the equipment on those nets and so can deploy 
> link-specific
> solutions (e.g. router-queuing, link-layer QoS of whatever is available, 
> others)
> 

[MAP] So back to the need for "commercial" standards to solve that "pain".

Mike Pierce
Artel

---

From: RJ Atkinson <[email-masked]>
Date: Mon, 2 Dec 2002 11:04:57 -0500

On Monday, Dec 2, 2002, at 10:28 America/Montreal, [email-masked] 
wrote:
> [MAP] Whether or not something is currently widely deployed is not the 
> issue. We're talking about whether or not the necessary mechanisms are 
> "standardized". Our goal, as Don explained, is to get commercial 
> standards (IETF or others) which DoD (and others) can then reference 
> to ask for (pay for) things to be deployed.

DiffServ using EF and AF are already on the IETF standards-track.
If you just want that, can we please shutdown this WG now ?

> [MAP] Then please let on get on with the "standardization" work so 
> that what we need can be defined.

DoD deployment of VoIP on DoD's internal networks is NOT an IEprep 
scenario.
It is out of scope for this WG.  And as noted above, DiffServ is 
already on
the IETF standards-track, so there is nothing left to be done if EF or 
AF
approaches work (and AF absolutely can provide MLPP, including optional
pre-emption, at the IP-layer on packets).  Both AF and EF are widely
available in shipping products (though implementation quality varies).

So what exactly do you want from this WG given that we have a mechanism
on the standards-track that can perform MLPP if the operator chooses to
use it ?

Requiring operators to deploy any mechanism is outside IETF scope, so
trying to require that operators deploy inter-domain MLPP is very very
far outside IETF scope.

> [MAP] You misinterpreted what I (and probably others) have said. I did 
> not say that "overprovisioning is not acceptable" (your quote) or that 
> we need to eliminate overprovisioning. Any carrier or network operator 
> can overprovision if they want. I said that "overprovisioning is not 
> an acceptable solution" to the problem that the IEPREP WG was formed 
> to solve.

You all are obliged first to explain WHY it is not acceptable to you 
all,
particularly since it clearly has worked in every natural (e.g. Kobe, 
Northridge,
others) and terrorist (on 9/11) disaster so far.

> > [MAP] But the bottom line, after all the existing solutions are laid 
> on the
> [RJA]    And I thought that was NOT Don's stated objective.  His 
> objective was that the
> preferred calls were able to get through, which is one that the 
> operators here seem
> to think can be achieved (through some combination of 
> over-provisioning and these other
> [MAP] I believe it is exactly the objective, stated in slightly 
> different words.

Don,
	Could you please clarify whether "getting the calls through" is the 
objective
or forcing non-DoD operators to deploy a particular mechanism (e.g. 
MLPP) of your
liking is the objective ?  To several of us, Mike's words are 
materially different
than your earlier words, not merely "stated in slightly different 
words".

> [MAP] So back to the need for "commercial" standards to solve that 

The commercial standards needed for DoD's own networks ALREADY exist.
The set include DiffServ with EF and/or AF, IEEE 802.1p, and others.
That standards work is already done and DoD can buy COTS product with
those capabilities today (e.g. ours, other vendors).  And stuff for use
solely inside DoD (or any other large private) networks is outside the
scope of IEprep.

Can we PLEASE shutdown this WG since we already have standard mechanisms
for MLPP defined by IETF and that is what Mike *now* says he wants from
this WG ?

Ran
[email-masked]

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep